Name:           perl-Template-Toolkit
Version:        3.101
Release:    1%{?dist}
Summary:        Template processing system
License:        GPL+ or Artistic
URL:            http://www.template-toolkit.org/
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/Template-Toolkit-%{version}.tar.gz
Source1:        http://tt2.org/download/TT_v224_html_docs.tar.gz

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(AppConfig)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(base)
BuildRequires:  perl(CGI) >= 4.11
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(Image::Info)
BuildRequires:  perl(locale)
BuildRequires:  perl(overload)
BuildRequires:  perl(Pod::POM)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Text::Wrap)
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::StdArray)
BuildRequires:  perl(Tie::StdHash)
BuildRequires:  perl(utf8)
Requires:       perl(Encode)
Requires:       perl(File::Temp)
Requires:       perl(HTML::Entities)
Requires:       perl(Image::Info)
Requires:       perl(Math::Trig)
Provides:       perl-Template-Toolkit-examples = %{version}-%{release}

%{?filter_setup:
%filter_from_provides /^perl(bytes)$/d
%?perl_default_filter
}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(bytes\\)

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n Template-Toolkit-%{version} -a 1
find lib -type f | xargs chmod -c -x
find TT_v*_html_docs -depth -name .svn -type d -exec rm -rf {} \;
find TT_v*_html_docs -type f -exec chmod -x {} +;

iconv -f iso-8859-1 -t utf-8 -o Changes{.utf8,}
mv Changes{.utf8,}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor \
  TT_DBI=n TT_ACCEPT=y
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make install \
  PERL_INSTALL_ROOT=%{buildroot} \
  INSTALLARCHLIB=%{buildroot}%{perl_archlib} \
  TT_PREFIX=%{buildroot}%{_datadir}/tt2
find %{buildroot} -type f \( -name perllocal.pod -o \
  -name .packlist -o -name '*.bs' -size 0 \) -exec rm -f {} ';'
find %{buildroot} -depth -type d -empty -exec rmdir -f {} ';'
chmod -R u+w %{buildroot}/*
sed -i "s|%{buildroot}||g" %{buildroot}%{perl_vendorarch}/Template/Config.pm

%check
make test

%files
%doc Changes README.md TODO TT_v*_html_docs/*
%{_bindir}/tpage
%{_bindir}/ttree
%{perl_vendorarch}/Template.pm
%{perl_vendorarch}/auto/Template
%{perl_vendorarch}/Template
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.101-1
- initial build
